View Issue Details

IDProjectCategoryView StatusLast Update
0003763mantisbtbugtrackerpublic2020-07-22 11:48
Reporterpermutations Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
Status acknowledgedResolutionopen 
Summary0003763: add an option to monitor projects (versus specific bugs)
Description

There is no way right now for a person to choose to receive all notifications, unless that person is a manager. Sometimes during beta testing, testers want to receive all notifications for a project, regardless of who is posting. There's no way to do this right now. An option to monitor projects (versus individual bugs within a project) would solve this.

TagsNo tags attached.

Relationships

has duplicate 0003387 closedvboctor Project-Monitoring 
has duplicate 0003426 closedvboctor Configuration for auto monitoring all defects in a project. 
has duplicate 0000279 closedvboctor Subscribe to project 
has duplicate 0006706 closedgiallu Provide a "watch project" feature 
has duplicate 0027059 closeddregad Monitoring Project 
related to 0011387 new Automate the monitoring of new bugs. 

Activities

vboctor

vboctor

2004-04-23 06:23

manager   ~0005422

I think the Monitor Project feature will be a useful one. If a user is monitoring a project, all project emails will be sent to him provided that he has access to view such notifications (eg: private bugs) and is not disabling such notifications in his preferences.

permutations

permutations

2004-04-23 11:05

reporter   ~0005425

Yes, that's exactly what I had in mind, thanks. Do you think it might find its way into 0.19? When is that expected to be released?

Matt_wc

Matt_wc

2004-09-15 11:16

reporter   ~0007601

This sounds like a good feature. Any takers for development?

LucasLopa

LucasLopa

2005-05-25 16:58

reporter   ~0010230

I have modified Mantis to work both as a " team manager " and a bug/issue tracking tool, but the only thing that I am missing is to have a project monitor or a project overview page.
I believe Mantis is one of those rare great tools and was wondering if there are any updates on this?

jjtest

jjtest

2005-11-16 12:19

reporter   ~0011625

A year and a half ago...vboctor acknowledged this as a "good idea". I agree, it is a very good idea. But apparently not good enough to implement? This would be VERY useful to be able to set/unset project monitors, as doing it per issue is quite tedious.

Please implement this concept. thanks. jj

Dr. Gibbs

Dr. Gibbs

2011-09-22 07:43

reporter   ~0029835

Anything new on this feature since 2004?
Thx !

atrol

atrol

2011-09-22 08:33

developer   ~0029836

This feature is at least partially available using standard customization.
Use page "Manage" -> "Manage Configuration" - > "E-mail Notifications" to enable all notifications for a certain access level.

andrea_chi

andrea_chi

2013-01-11 05:32

reporter   ~0034766

Anything new on this feature?
I think this is really useful!

Best regards,
Andrea

thE_iNviNciblE

thE_iNviNciblE

2020-06-29 00:46

reporter   ~0064141

+1

cas

cas

2020-07-19 11:05

reporter   ~0064170

It does not look to difficult to me, will create a small plugin for this.

cas

cas

2020-07-22 04:24

reporter   ~0064171

You can download initial version here:
http://www.nuy.info/mantisplugins/2.X/MonProj/MonProj001.zip
Try it out and leave comments

amphetamine

amphetamine

2020-07-22 05:53

reporter   ~0064172

Forbidden
You don't have permission to access this resource.Server unable to read htaccess file, denying access to be safe

cas

cas

2020-07-22 05:57

reporter   ~0064173

Fixed, adjusted access rights.

cas

cas

2020-07-22 11:48

reporter   ~0064175

Think one can close this issue.

Issue History

Date Modified Username Field Change
2004-04-23 03:25 permutations New Issue
2004-04-23 06:23 vboctor Note Added: 0005422
2004-04-23 06:23 vboctor Status new => acknowledged
2004-04-23 11:05 permutations Note Added: 0005425
2004-07-31 20:58 vboctor Relationship added has duplicate 0003387
2004-07-31 20:58 vboctor Relationship added has duplicate 0003426
2004-09-15 11:16 Matt_wc Note Added: 0007601
2004-12-01 06:55 vboctor Relationship added has duplicate 0000279
2005-05-25 16:58 LucasLopa Note Added: 0010230
2005-05-25 17:06 LucasLopa Sponsorship Added LucasLopa: US$ 5
2005-05-25 17:06 LucasLopa Sponsorship Total 0 => 5
2005-11-16 12:19 jjtest Note Added: 0011625
2007-10-25 16:33 giallu Relationship added has duplicate 0006706
2011-09-22 07:43 Dr. Gibbs Note Added: 0029835
2011-09-22 08:33 atrol Note Added: 0029836
2013-01-11 05:32 andrea_chi Note Added: 0034766
2020-06-24 11:39 dregad Relationship added has duplicate 0027059
2020-06-24 11:40 dregad Relationship added related to 0011387
2020-06-29 00:46 thE_iNviNciblE Note Added: 0064141
2020-07-19 11:05 cas Note Added: 0064170
2020-07-22 04:24 cas Note Added: 0064171
2020-07-22 05:53 amphetamine Note Added: 0064172
2020-07-22 05:57 cas Note Added: 0064173
2020-07-22 11:48 cas Note Added: 0064175